options = 
{
	{ 
		default = 1, 
		label = "Pause at game start", 
		help = "Pause at game start", 
		key = 'opt_General_Pause', 
		pref = 'opt_General_Pause', 
		values = { 
			{text = "*On",help = "", key = 1, }, 
			{text = "Off",help = "", key = 0, }, 
		}, 
	},
	{ 
		default = 1, 
		label = "End game scenario", 
		help = "When should the game end", 
		key = 'opt_General_EndGameScenario', 
		pref = 'opt_General_EndGameScenario', 
		values = { 
			{text = "*Kill all gates, Artillery, Specials and units",help = "", key = 1, }, 
			{text = "Kill all gates",help = "", key = 2, }, 
		}, 
	},
	{ 
		default = 1, 
		label = "Defense Objects", 
		help = "The objects you have to defend", 
		key = 'opt_Defense_Object', 
		pref = 'opt_Defense_Object', 
		values = { 
			{text = "*Aeon Exp. Resource Gen",help = "", key = 1, }, 
			{text = "Aeon Rapid-Fire Artillery",help = "", key = 2, }, 
			{text = "Cybran Scathis",help = "", key = 3, },
			{text = "UEF Mavor",help = "", key = 4, }, 
			{text = "Civilian Building", help = "", key = 5, }, 
			{text = "Nothing (Sandbox Only)",help = "", key = 6, },
		}, 
	},
	{ 
		default = 1, 
		label = "Talking heads", 
		help = "Talking heads", 
		key = 'opt_General_Taunts', 
		pref = 'opt_General_Taunts', 
		values = { 
			{text = "*On",help = "", key = 1, }, 
			{text = "Off",help = "", key = 0, }, 
		}, 
	},
	{ 
		default = 1, 
		label = "Start with engineer of each faction", 
		help = "Engineer of each faction", 
		key = 'opt_General_PrebuiltEngineers', 
		pref = 'opt_General_PrebuiltEngineers', 
		values = { 
			{text = "*T1",help = "", key = 1, }, 
			{text = "T2",help = "", key = 2, }, 
			{text = "T3",help = "", key = 3, }, 
			{text = "SCU",help = "", key = 4, }, 
			{text = "Off",help = "", key = 0, }, 
		}, 
	},
	{ 
		default = 0, 
		label = "Presets (overrides ALL settings below)", 
		help = "Presets (overrides ALL settings below)", 
		key = 'opt_Auto_Preset', 
		pref = 'opt_Auto_Preset', 
		values = { 
			{text = "*Custom settings",help = "", key = 0, },
			{text = "Endless Human Stupidity",help = "", key = 8, }, 
			{text = "Fewer units/higher HP (hard)",help = "", key = 7, }, 
			{text = "More units/lower HP (hard)",help = "", key = 6, }, 
			{text = "Balanced (hard)",help = "", key = 5, },
			{text = "Swarm balanced (hard)",help = "", key = 4, }, 
			{text = "Balanced (medium)",help = "", key = 3, },
			{text = "Swarm balanced (medium)",help = "", key = 2, }, 
			{text = "Balanced (easy)",help = "", key = 1, },
			{text = "Custom settings",help = "", key = 0, },
		},
	}, 
	{ 
		default = 10, 
		label = "Difficulty (gate/Special health, Artillery range, T4s)", 
		help = "Difficulty (gate/Special health, Artillery range, T4s)", 
		key = 'opt_General_Difficulty', 
		pref = 'opt_General_Difficulty', 
		values = { 
			{text = "*10", help = "", key = 10, },
			{text = "9", help = "", key = 9, },
			{text = "8", help = "", key = 8, }, 
			{text = "7", help = "", key = 7, }, 
			{text = "6", help = "", key = 6, }, 
			{text = "5", help = "", key = 5, }, 
			{text = "4", help = "", key = 4, }, 
			{text = "3", help = "", key = 3, }, 
			{text = "2", help = "", key = 2, }, 
			{text = "1", help = "", key = 1, }, 
		}, 
	}, 
	{ 
		default = 8, 
		label = "Spawn T4s after a gate dies", 
		help = "Increases difficulty", 
		key = 'opt_Defense_GateDeathT4s', 
		pref = 'opt_Defense_GateDeathT4s', 
		values = { 
			{text = "*Eight per gate", help = "", key = 8, },
			{text = "Seven per gate", help = "", key = 7, },
			{text = "Six per gate", help = "", key = 6, },
			{text = "5ive per gate", help = "", key = 5, },
			{text = "Four per gate", help = "", key = 4, },
			{text = "Three per gate", help = "", key = 3, },
			{text = "Two per gate", help = "", key = 2, },
			{text = "One per gate", help = "", key = 1, },
			{text = "Progressive: one for every dead gate", help = "", key = 9, },
			{text = "None", help = "", key = 10, }, 
		}, 
	},
	{ 
		default = 1500, 
		label = "Non-enemy unit cap", 
		help = "Decreases Difficulty", 
		key = 'opt_General_UnitCap', 
		pref = 'opt_General_UnitCap', 
		values = { 
			{text = "*1500", help = "", key = 1500, }, 
			{text = "2000", help = "", key = 2000, }, 
			{text = "2500", help = "", key = 2500, }, 
			{text = "3000", help = "", key = 3000, }, 
			{text = "System setting", help = "", key = 0, },
		}, 
	}, 
	{ 
		default = 30, 
		label = "Defense Objects: Startup", 
		help = "Time until activation (add startup time)", 
		key = 'opt_Defense_ObjectStartup', 
		pref = 'opt_Defense_ObjectStartup', 
		values = {
			{text = "*30:00 + Startup Time",help = "", key = 30, }, 		
			{text = "50:00 + Startup Time",help = "", key = 50, }, 
			{text = "45:00 + Startup Time",help = "", key = 45, },
			{text = "40:00 + Startup Time",help = "", key = 40, }, 
			{text = "35:00 + Startup Time",help = "", key = 35, }, 
			{text = "25:00 + Startup Time",help = "", key = 25, }, 
			{text = "20:00 + Startup Time",help = "", key = 20, }, 
			{text = "15:00 + Startup Time",help = "", key = 15, }, 
			{text = "10:00 + Startup Time",help = "", key = 10, }, 
			{text = "5:00 + Startup Time",help = "", key = 5, }, 
			{text = "0:00 + Startup Time",help = "", key = 0, }, 
		}, 
	}, 
	{ 
		default = 5, 
		label = "Defense Objects: Regen", 
		help = "On decreases difficulty", 
		key = 'opt_Defense_ObjectRegen', 
		pref = 'opt_Defense_ObjectRegen', 
		values = { 
			{text = "*Off", help = "", key = 5, },
			{text = "Low: 500hp/min", help = "", key = 4, }, 
			{text = "Medium: 2,000hp/min", help = "", key = 3, }, 
			{text = "High: 5,000hp/min", help = "", key = 2, }, 
			{text = "Very High: 60,000hp/min", help = "", key = 1, }, 
			{text = "Indestructible", help = "", key = 0, }, 
		}, 
	}, 
	{ 
		default = 60/60, 
		label = "Timing: Wave period", 
		help = "Time long between waves", 
		key = 'opt_General_WavePeriod', 
		pref = 'opt_General_WavePeriod', 
		values = { 
			{text = "*1:00",help = "", key = 60/60, },
			{text = "Swarm",help = "", key = 5/60, }, 
			{text = "0:30",help = "", key = 30/60, }, 
			{text = "1:00",help = "", key = 60/60, },
			{text = "2:00",help = "", key = 120/60, }, 
			{text = "3:00",help = "", key = 180/60, }, 
			{text = "4:00",help = "", key = 240/60, }, 
			{text = "5:00",help = "", key = 300/60, }, 
		},
	}, 
	{ 
		default = 5, 
		label = "Timing: Startup delay", 
		help = "Delay before waves start spawning", 
		key = 'opt_General_StartupDelay', 
		pref = 'opt_General_StartupDelay',
		values = { 
			{text = "*5:00",help = "", key = 5, }, 
			{text = "0:00", help = "", key = 0, }, 
			{text = "0:30",help = "", key = 0.5, }, 
			{text = "1:00",help = "", key = 1, }, 
			{text = "1:30",help = "", key = 1.5, }, 
			{text = "2:00",help = "", key = 2, }, 
			{text = "2:30",help = "", key = 2.5, }, 
			{text = "3:00",help = "", key = 3, }, 
			{text = "4:00",help = "", key = 4, }, 
			{text = "5:00",help = "", key = 5, }, 
			{text = "6:00",help = "", key = 6, }, 
			{text = "7:00",help = "", key = 7, }, 
			{text = "8:00",help = "", key = 8, }, 
			{text = "9:00",help = "", key = 9, }, 
			{text = "10:00",help = "", key = 10, }, 
		}, 
	},
	{ 
		default = 35, 
		label = "Timing: Peak Tech Time", 
		help = "Timing: Peak Tech Time", 
		key = 'opt_General_PeakTechTime', 
		pref = 'opt_General_PeakTechTime', 
		values = { 
			{text = "*35:00 + Startup Time",help = "", key = 35, }, 
			{text = "When the Defense Objects activate",help = "", key = 0, }, 
			{text = "60:00 + Startup Time",help = "", key = 60, }, 
			{text = "55:00 + Startup Time",help = "", key = 55, }, 
			{text = "50:00 + Startup Time",help = "", key = 50, }, 
			{text = "45:00 + Startup Time",help = "", key = 45, }, 
			{text = "40:00 + Startup Time",help = "", key = 40, }, 
			{text = "35:00 + Startup Time",help = "", key = 35, }, 
			{text = "30:00 + Startup Time",help = "", key = 30, }, 
			{text = "25:00 + Startup Time",help = "", key = 25, }, 
			{text = "20:00 + Startup Time",help = "", key = 20, }, 
			{text = "15:00 + Startup Time",help = "", key = 15, }, 
			{text = "10:00 + Startup Time",help = "", key = 10, }, 
			{text = "5:00 + Startup Time",help = "", key = 5, }, 
		}, 
	}, 
	{ 
		default = 35, 
		label = "Units/player/min at PTT: Land", 
		help = "Units/player/min at PTT: Land", 
		key = 'opt_NumUnits_Land', 
		pref = 'opt_NumUnits_Land', 
		values = { 
			{text = "*40",help = "", key = 40, }, 
			{text = "70",help = "", key = 50, },
			{text = "60",help = "", key = 50, },
			{text = "50",help = "", key = 50, },
			{text = "45",help = "", key = 45, }, 
			{text = "40",help = "", key = 40, }, 
			{text = "35",help = "", key = 35, }, 
			{text = "30",help = "", key = 30, },
			{text = "25",help = "", key = 25, }, 
 			{text = "20",help = "", key = 20, }, 
			{text = "15",help = "", key = 15, }, 
			{text = "10",help = "", key = 10, }, 
			{text = "5",help = "", key = 5, },
			{text = "0",help = "", key = 0, },
		}, 
	}, 
	{ 
		default = 35, 
		label = "Units/player/min at PTT: Air", 
		help = "Units/player/min at PTT: Air", 
		key = 'opt_NumUnits_Air', 
		pref = 'opt_NumUnits_Air', 
		values = { 
			{text = "*50",help = "", key = 50, }, 
			{text = "70",help = "", key = 50, },
			{text = "60",help = "", key = 50, },
			{text = "50",help = "", key = 50, },
			{text = "45",help = "", key = 45, }, 
			{text = "40",help = "", key = 40, }, 
			{text = "35",help = "", key = 35, }, 
			{text = "30",help = "", key = 30, },
			{text = "25",help = "", key = 25, }, 
 			{text = "20",help = "", key = 20, }, 
			{text = "15",help = "", key = 15, }, 
			{text = "10",help = "", key = 10, }, 
			{text = "5",help = "", key = 5, },
			{text = "0",help = "", key = 0, },
		}, 
	}, 
	{ 
		default = 5, 
		label = "Health buffer at PTT: Land", 
		help = "Health buffer at PTT: Land", 
		key = 'opt_HealthBuffer_Land', 
		pref = 'opt_HealthBuffer_Land', 
		values = { 
			{text = "*5", help = "", key = 5, },
			{text = "10", help = "", key = 10, }, 
			{text = "9", help = "", key = 9, }, 
			{text = "8", help = "", key = 8, }, 
			{text = "7", help = "", key = 7, },  
			{text = "6", help = "", key = 6, }, 
			{text = "4.5", help = "", key = 4.5, }, 
			{text = "4", help = "", key = 4, }, 
			{text = "3.5", help = "", key = 3.5, },
			{text = "3", help = "", key = 3, }, 			
			{text = "2.5", help = "", key = 2.5, }, 
			{text = "2", help = "", key = 2, }, 
			{text = "1.5", help = "", key = 1.5, }, 
			{text = "1", help = "", key = 1, }, 
		}, 
	},
	{ 
		default = 5, 
		label = "Health buffer at PTT: Air", 
		help = "Health buffer at PTT: Air", 
		key = 'opt_HealthBuffer_Air', 
		pref = 'opt_HealthBuffer_Air', 
		values = { 
			{text = "*5", help = "", key = 5, }, 
			{text = "10", help = "", key = 10, }, 
			{text = "9", help = "", key = 9, }, 
			{text = "8", help = "", key = 8, }, 
			{text = "7", help = "", key = 7, },  
			{text = "6", help = "", key = 6, }, 
			{text = "4.5", help = "", key = 4.5, }, 
			{text = "4", help = "", key = 4, }, 
			{text = "3.5", help = "", key = 3.5, },
			{text = "3", help = "", key = 3, }, 			
			{text = "2.5", help = "", key = 2.5, }, 
			{text = "2", help = "", key = 2, }, 
			{text = "1.5", help = "", key = 1.5, }, 
			{text = "1", help = "", key = 1, }, 
		}, 
	}, 
	{ 
		default = 5, 
		label = "Veterancy at PTT: Land", 
		help = "Veterancy at PTT: Land", 
		key = 'opt_Veterancy_Land', 
		pref = 'opt_Veterancy_Land', 
		values = { 
			{text = "*5", help = "", key = 5, }, 
			{text = "4.5", help = "", key = 4.5, }, 
			{text = "4", help = "", key = 4, }, 
			{text = "3.5", help = "", key = 3.5, }, 
			{text = "3", help = "", key = 3, },
			{text = "2.5", help = "", key = 2.5, }, 
			{text = "2", help = "", key = 2, }, 
			{text = "1.5", help = "", key = 1.5, }, 
			{text = "1", help = "", key = 1, }, 
			{text = "0", help = "", key = 0, }, 
		}, 
	}, 		
	{ 
		default = 5, 
		label = "Veterancy at PTT: Air", 
		help = "Veterancy at PTT: Air", 
		key = 'opt_Veterancy_Air', 
		pref = 'opt_Veterancy_Air', 
		values = { 
			{text = "*5", help = "", key = 5, }, 
			{text = "4.5", help = "", key = 4.5, }, 
			{text = "4", help = "", key = 4, }, 
			{text = "3.5", help = "", key = 3.5, }, 
			{text = "3", help = "", key = 3, },
			{text = "2.5", help = "", key = 2.5, }, 
			{text = "2", help = "", key = 2, }, 
			{text = "1.5", help = "", key = 1.5, }, 
			{text = "1", help = "", key = 1, },
			{text = "0", help = "", key = 0, }, 
		}, 
	}, 		
	{ 
		default = 5, 
		label = "Defenses: Gate", 
		help = "On increases difficulty", 
		key = 'opt_Defense_Gate', 
		pref = 'opt_Defense_Gate', 
		values = { 
			{text = "*8PD, 8SAM, 4shield, 1SMD, 3TMD, 8T2Arty", help = "", key = 5, },
			{text = "8 PD, 8 SAM, 4 shield", help = "", key = 4, },
			{text = "4 PD, 4 SAM", help = "", key = 3, },
			{text = "4 SAM", help = "", key = 2, },
			{text = "Off", help = "", key = 1, }, 
		}, 
	}, 	
	{ 
		default = 5, 
		label = "Defenses: Artillery", 
		help = "On increases difficulty", 
		key = 'opt_Defense_Artillery', 
		pref = 'opt_Defense_Artillery', 
		values = { 
			{text = "*8PD, 8SAM, 4shield, 1SMD, 3TMD, 8T2Arty", help = "", key = 5, },
			{text = "8 PDs 8 SAM, 4 shield", help = "", key = 4, },
			{text = "4 PD, 4 SAM", help = "", key = 3, },
			{text = "4 SAM", help = "", key = 2, },
			{text = "Off", help = "", key = 1, },
			{text = "Disable Artillery", help = "", key = 0, }, 
		}, 
	}, 
	{ 
		default = 5, 
		label = "Defenses: Special", 
		help = "On increases difficulty", 
		key = 'opt_Defense_Special', 
		pref = 'opt_Defense_Special', 
		values = { 
			{text = "*8PD, 8SAM, 4shield, 1SMD, 3TMD, 8T2Arty", help = "", key = 5, },
			{text = "8 PD, 8 SAM, 4 shield", help = "", key = 4, },
			{text = "4 PD, 4 SAM", help = "", key = 3, },
			{text = "4 SAM", help = "", key = 2, },
			{text = "Off", help = "", key = 1, }, 
			{text = "Disable Specials", help = "", key = 0, }, 
		}, 
	}, 
};